CVE-2009-0547

NameCVE-2009-0547
DescriptionEvolution 2.22.3.1 checks S/MIME signatures against a copy of the e-mail text within a signed-data blob, not the copy of the e-mail text displayed to the user, which allows remote attackers to spoof a signature by modifying the latter copy, a different vulnerability than CVE-2008-5077.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1813-1
NVD severitymedium (attack range: remote)
Debian Bugs508479

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
evolution-data-server (PTS)wheezy3.4.4-3+deb7u1fixed
jessie3.12.9~git20141128.5242b0-2+deb8u3fixed
stretch3.22.7-1fixed
buster, sid3.26.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
evolution-data-serversource(unstable)2.24.5-2low508479
evolution-data-serversourceetch1.6.3-5etch2mediumDSA-1813-1
evolution-data-serversourcelenny2.22.3-1.1+lenny1mediumDSA-1813-1

Search for package or bug name: Reporting problems